Package org.eclipse.jgit.internal.storage.pack

## Class PackWriter.State

- java.lang.Object
- - org.eclipse.jgit.internal.storage.pack.PackWriter.State

Enclosing class:
  PackWriter

    public class PackWriter.State
    extends Object

Summary of the current state of a PackWriter.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `estimateBytesUsed()`
`PackConfig` `getConfig()`
`PackWriter.PackingPhase` `getPhase()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getConfig

    public PackConfig getConfig()

Returns:
  the PackConfig used to build the writer.

#### getPhase

    public PackWriter.PackingPhase getPhase()

Returns:
  the current phase of the writer.

#### estimateBytesUsed

    public long estimateBytesUsed()

Returns:
  an estimate of the total memory used by the writer.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`